# GateWeb Material React UI

GateWeb Material React UI 是一個基於 [Material-UI (MUI)](https://mui.com/material-ui/getting-started/) 打造的UI元件庫，旨在提供一致且易於使用的UI元件，幫助開發者更高效地構建現代Web應用。我們的元件庫使用了 [Material React Table](https://www.material-react-table.com/) 套件來實現高效和靈活的表格功能。

### 技術堆棧

- [**React**](https://react.dev/): 用於構建用戶界面的JavaScript庫。
- [**Material-UI (MUI)**](https://mui.com/material-ui/getting-started/): 一個流行的React UI框架，提供一套基於Material Design的高質量元件。
- [**Material React Table**](https://www.material-react-table.com/): 一個強大的React表格庫，樣式基於 [Material-UI (MUI)](https://mui.com/material-ui/getting-started/)，功能基於 [TanStack Table](https://tanstack.com/table/latest/docs/introduction)，提供豐富的表格功能

### 系統要求

- [**Node.js**](https://nodejs.org/): 18.x 或更高版本

## 使用方式

### 安裝

```bash
npm install @gateweb/react-material-ui
# or
yarn add @gateweb/react-material-ui
# or
pnpm add @gateweb/react-material-ui
```

### 引入

```jsx
import { Button } from '@gateweb/react-material-ui';
```
