'use client';
var jsxRuntime = require('react/jsx-runtime');
var MuiButton = require('@mui/material/Button');
var CircularProgress = require('@mui/material/CircularProgress');
var react = require('react');

function _interopDefault (e) { return e && e.__esModule ? e : { default: e }; }

var MuiButton__default = /*#__PURE__*/_interopDefault(MuiButton);
var CircularProgress__default = /*#__PURE__*/_interopDefault(CircularProgress);

const ButtonInner = (props, ref)=>{
    const { children, sx, loading = false, disabled = false, shape = 'default', variant = 'contained', ...rest } = props;
    return /*#__PURE__*/ jsxRuntime.jsxs(MuiButton__default.default, {
        ref: ref,
        sx: {
            '&.MuiButton-text:hover': {
                backgroundColor: 'inherit'
            },
            '&.Mui-disabled': {
                pointerEvents: 'inherit',
                cursor: 'not-allowed'
            },
            ...shape === 'round' && {
                borderRadius: '40px',
                paddingInlineStart: '20px',
                paddingInlineEnd: '20px'
            },
            ...sx
        },
        variant: variant,
        disabled: loading || disabled,
        ...rest,
        children: [
            children,
            loading && /*#__PURE__*/ jsxRuntime.jsx(CircularProgress__default.default, {
                sx: {
                    ml: 1
                },
                color: "inherit",
                size: "1.5em"
            })
        ]
    });
};
/**
 * 表示一個可點擊的按鈕元件，用於觸發相關的業務邏輯。
 *
 * 參考 [Material-UI Button](https://mui.com/material-ui/react-button/)
 */ const Button = /*#__PURE__*/ react.forwardRef(ButtonInner);

exports.Button = Button;
