'use client';
var jsxRuntime = require('react/jsx-runtime');
require('@mui/material/Skeleton');
require('@mui/material/Typography');
var react = require('react');
var material = require('@mui/material');
var DecorativeTitleClient = require('./DecorativeTitle-client-7Fz8mPtP.js');

const CardInner = ({ children, title, headerProps = {}, contentProps = {}, cardActions, loading = false, loadingOptions = {
    count: 3,
    height: 40
}, ...rest }, ref)=>/*#__PURE__*/ jsxRuntime.jsxs(material.Card, {
        ref: ref,
        elevation: 0,
        ...rest,
        sx: {
            border: 1,
            borderRadius: 2,
            borderColor: 'divider',
            ...rest?.sx
        },
        children: [
            title && /*#__PURE__*/ jsxRuntime.jsx(material.CardHeader, {
                ...headerProps,
                title: /*#__PURE__*/ jsxRuntime.jsx(DecorativeTitleClient.DecorativeTitle, {
                    loading: loading,
                    children: title
                }),
                action: cardActions,
                sx: {
                    borderBottom: 1,
                    borderColor: 'divider',
                    p: 2,
                    gap: 1,
                    '& .MuiCardHeader-action': {
                        m: '0px auto',
                        alignSelf: 'center'
                    },
                    ...headerProps?.sx
                },
                titleTypographyProps: {
                    variant: 'subtitle1',
                    color: 'primary.main',
                    fontWeight: 'bold',
                    fontSize: '1.15rem',
                    ...headerProps?.titleTypographyProps
                }
            }),
            /*#__PURE__*/ jsxRuntime.jsx(material.CardContent, {
                ...contentProps,
                children: loading ? /*#__PURE__*/ jsxRuntime.jsx(material.Stack, {
                    spacing: 2,
                    children: Array(loadingOptions.count).fill(null).map((_, i)=>i).map((key)=>/*#__PURE__*/ jsxRuntime.jsx(material.Skeleton, {
                            variant: "rounded",
                            height: loadingOptions.height
                        }, key))
                }) : children
            })
        ]
    });
/**
 * 表示一個卡片元件，用於展示相關的資訊。
 *
 * 參考 [Material-UI Card](https://mui.com/material-ui/react-card/)
 */ const Card = /*#__PURE__*/ react.forwardRef(CardInner);

exports.Card = Card;
