'use client';
var jsxRuntime = require('react/jsx-runtime');
var ErrorIcon = require('@mui/icons-material/Cancel');
var CheckCircleIcon = require('@mui/icons-material/CheckCircle');
var InfoIcon = require('@mui/icons-material/Info');
var WarningIcon = require('@mui/icons-material/Warning');
var material = require('@mui/material');
var react = require('react');
var ButtonClient = require('./Button-client-BXpe6yJ-.js');
require('@mui/material/CircularProgress');
require('@mui/material/IconButton');
var ModalClient = require('./Modal-client-DIGS4Ubl.js');

function _interopDefault (e) { return e && e.__esModule ? e : { default: e }; }

var ErrorIcon__default = /*#__PURE__*/_interopDefault(ErrorIcon);
var CheckCircleIcon__default = /*#__PURE__*/_interopDefault(CheckCircleIcon);
var InfoIcon__default = /*#__PURE__*/_interopDefault(InfoIcon);
var WarningIcon__default = /*#__PURE__*/_interopDefault(WarningIcon);

const ModalQuick = ({ okButtonText = 'OK', cancelButtonText = 'Cancel', open, onClose, onOk, title, children, type })=>{
    const [isSubmitting, setIsSubmitting] = react.useState(false);
    const handleOk = async ()=>{
        setIsSubmitting(true);
        try {
            await onOk?.();
        } finally{
            setIsSubmitting(false);
        }
    };
    return /*#__PURE__*/ jsxRuntime.jsx(ModalClient.Modal, {
        open: open,
        onClose: onClose,
        showCloseIcon: false,
        disableBackdropClick: true,
        disableEscapeKeyDown: true,
        contentProps: {
            dividers: false
        },
        customActions: /*#__PURE__*/ jsxRuntime.jsxs(jsxRuntime.Fragment, {
            children: [
                type === 'confirm' && /*#__PURE__*/ jsxRuntime.jsx(ButtonClient.Button, {
                    variant: "outlined",
                    size: "medium",
                    onClick: ()=>onClose?.({}, 'closeButtonClick'),
                    sx: {
                        minWidth: 80
                    },
                    disabled: isSubmitting,
                    children: cancelButtonText
                }),
                /*#__PURE__*/ jsxRuntime.jsx(ButtonClient.Button, {
                    variant: "contained",
                    size: "medium",
                    onClick: handleOk,
                    sx: {
                        minWidth: 80
                    },
                    loading: isSubmitting,
                    children: okButtonText
                })
            ]
        }),
        children: /*#__PURE__*/ jsxRuntime.jsxs(material.Stack, {
            direction: "row",
            spacing: 1,
            children: [
                type === 'info' && /*#__PURE__*/ jsxRuntime.jsx(InfoIcon__default.default, {
                    sx: {
                        color: 'info.main'
                    }
                }),
                type === 'success' && /*#__PURE__*/ jsxRuntime.jsx(CheckCircleIcon__default.default, {
                    sx: {
                        color: 'success.main'
                    }
                }),
                type === 'error' && /*#__PURE__*/ jsxRuntime.jsx(ErrorIcon__default.default, {
                    sx: {
                        color: 'error.main'
                    }
                }),
                type === 'warning' && /*#__PURE__*/ jsxRuntime.jsx(WarningIcon__default.default, {
                    sx: {
                        color: 'warning.main'
                    }
                }),
                type === 'confirm' && /*#__PURE__*/ jsxRuntime.jsx(InfoIcon__default.default, {
                    sx: {
                        color: 'warning.main'
                    }
                }),
                /*#__PURE__*/ jsxRuntime.jsxs(material.Stack, {
                    spacing: 1,
                    children: [
                        title && /*#__PURE__*/ jsxRuntime.jsx(material.Typography, {
                            fontWeight: "bold",
                            children: title
                        }),
                        /*#__PURE__*/ jsxRuntime.jsx(material.Box, {
                            children: children
                        })
                    ]
                })
            ]
        })
    });
};

exports.ModalQuick = ModalQuick;
