'use client';
var jsxRuntime = require('react/jsx-runtime');
var CloseIcon = require('@mui/icons-material/Close');
var VisibilityOutlinedIcon = require('@mui/icons-material/VisibilityOutlined');
var material = require('@mui/material');
var react = require('react');
require('@mui/material/Button');
require('@mui/material/CircularProgress');
var IconButtonClient = require('./IconButton-client-ih4guhCY.js');

function _interopDefault (e) { return e && e.__esModule ? e : { default: e }; }

var CloseIcon__default = /*#__PURE__*/_interopDefault(CloseIcon);
var VisibilityOutlinedIcon__default = /*#__PURE__*/_interopDefault(VisibilityOutlinedIcon);

const PreviewModal = ({ imageUrl, title, pdf })=>{
    const [open, setOpen] = react.useState(false);
    if (!imageUrl) return null;
    return /*#__PURE__*/ jsxRuntime.jsxs(jsxRuntime.Fragment, {
        children: [
            /*#__PURE__*/ jsxRuntime.jsx(IconButtonClient.IconButton, {
                size: "small",
                sx: {
                    color: '#fff'
                },
                onClick: ()=>setOpen(true),
                children: /*#__PURE__*/ jsxRuntime.jsx(VisibilityOutlinedIcon__default.default, {})
            }),
            /*#__PURE__*/ jsxRuntime.jsx(material.Modal, {
                open: open,
                children: /*#__PURE__*/ jsxRuntime.jsxs(material.Box, {
                    sx: {
                        p: 1,
                        display: 'flex',
                        flexDirection: 'column',
                        height: '100vh'
                    },
                    children: [
                        /*#__PURE__*/ jsxRuntime.jsxs(material.Box, {
                            children: [
                                /*#__PURE__*/ jsxRuntime.jsx(material.Typography, {
                                    variant: "h2",
                                    sx: {
                                        flexGrow: 1,
                                        lineHeight: '40px',
                                        textAlign: 'center',
                                        fontSize: '1.5rem',
                                        fontWeight: 'bold',
                                        color: '#fff'
                                    },
                                    children: title
                                }),
                                /*#__PURE__*/ jsxRuntime.jsx(IconButtonClient.IconButton, {
                                    sx: {
                                        position: 'absolute',
                                        top: 0,
                                        right: 0,
                                        color: '#fff'
                                    },
                                    onClick: ()=>setOpen(false),
                                    children: /*#__PURE__*/ jsxRuntime.jsx(CloseIcon__default.default, {})
                                })
                            ]
                        }),
                        /*#__PURE__*/ jsxRuntime.jsx(material.Box, {
                            sx: {
                                flexGrow: 1,
                                display: 'flex',
                                justifyContent: 'center',
                                alignItems: 'center',
                                overflowY: 'auto',
                                msOverflowStyle: 'none',
                                '&::-webkit-scrollbar': {
                                    display: 'none'
                                }
                            },
                            children: pdf ? /*#__PURE__*/ jsxRuntime.jsx(material.Box, {
                                component: "iframe",
                                src: `${imageUrl}#toolbar=0`,
                                width: "100%",
                                height: "100%",
                                title: title
                            }) : /*#__PURE__*/ jsxRuntime.jsx(material.Box, {
                                component: "img",
                                src: imageUrl,
                                alt: "image",
                                sx: {
                                    maxWidth: '100%',
                                    objectFit: 'contain'
                                }
                            })
                        })
                    ]
                })
            })
        ]
    });
};

exports.PreviewModal = PreviewModal;
