'use client';
var jsxRuntime = require('react/jsx-runtime');
var CheckIcon = require('@mui/icons-material/Check');
var material = require('@mui/material');
var react = require('react');

function _interopDefault (e) { return e && e.__esModule ? e : { default: e }; }

var CheckIcon__default = /*#__PURE__*/_interopDefault(CheckIcon);

/**
 * `Switch` 元件是一個開關的選擇器。
 * 在我們表示開關狀態，或兩種狀態之間的切換時，很適合使用。和 Checkbox 的區別是， Checkbox 一般只用來標記狀態是否被選取，
 * 需要提交之後才會生效，而 Switch 則會在觸發的當下直接觸發狀態的改變。
 *
 * 參考 [Material-UI: Switch](https://mui.com/material-ui/react-switch/)
 */ const Switch = /*#__PURE__*/ react.forwardRef(({ sx, size, checked, ...props }, ref)=>/*#__PURE__*/ jsxRuntime.jsx(material.Switch, {
        ref: ref,
        checked: checked,
        checkedIcon: /*#__PURE__*/ jsxRuntime.jsx(CheckIcon__default.default, {
            sx: {
                width: size === 'small' ? 16 : 20,
                height: size === 'small' ? 16 : 20,
                backgroundColor: 'white',
                borderRadius: '50%'
            }
        }),
        sx: {
            p: size === 'small' ? 0.5 : 0.5,
            width: size === 'small' ? 48 : 60,
            height: size === 'small' ? 32 : 40,
            '& .MuiSwitch-track': {
                borderRadius: 4,
                backgroundColor: 'grey.300',
                opacity: 1,
                border: 2,
                borderColor: 'grey.500'
            },
            '& .MuiSwitch-switchBase.Mui-checked+.MuiSwitch-track': {
                backgroundColor: 'primary.main',
                border: 0,
                opacity: 1
            },
            '& .MuiButtonBase-root': {
                p: size === 'small' ? 1 : 1.25
            },
            '& .MuiButtonBase-root.Mui-checked': {
                ...size === 'small' && {
                    transform: 'translateX(16px)'
                }
            },
            '& .MuiSwitch-thumb': {
                ...size === 'small' && {
                    width: 16,
                    height: 16
                },
                ...!checked && {
                    backgroundColor: 'grey.500'
                }
            },
            ...sx
        },
        ...props
    }));
if (process.env.NODE_ENV !== 'production') {
    Switch.displayName = 'GwSwitch';
}

exports.Switch = Switch;
