'use client';
import { jsxs, jsx } from 'react/jsx-runtime';
import '@mui/material/Skeleton';
import '@mui/material/Typography';
import { forwardRef } from 'react';
import { Card as Card$1, CardHeader, CardContent, Stack, Skeleton } from '@mui/material';
import { D as DecorativeTitle } from './DecorativeTitle-client-C6z9r8tV.js';

const CardInner = ({ children, title, headerProps = {}, contentProps = {}, cardActions, loading = false, loadingOptions = {
    count: 3,
    height: 40
}, ...rest }, ref)=>/*#__PURE__*/ jsxs(Card$1, {
        ref: ref,
        elevation: 0,
        ...rest,
        sx: {
            border: 1,
            borderRadius: 2,
            borderColor: 'divider',
            ...rest?.sx
        },
        children: [
            title && /*#__PURE__*/ jsx(CardHeader, {
                ...headerProps,
                title: /*#__PURE__*/ jsx(DecorativeTitle, {
                    loading: loading,
                    children: title
                }),
                action: cardActions,
                sx: {
                    borderBottom: 1,
                    borderColor: 'divider',
                    p: 2,
                    gap: 1,
                    '& .MuiCardHeader-action': {
                        m: '0px auto',
                        alignSelf: 'center'
                    },
                    ...headerProps?.sx
                },
                titleTypographyProps: {
                    variant: 'subtitle1',
                    color: 'primary.main',
                    fontWeight: 'bold',
                    fontSize: '1.15rem',
                    ...headerProps?.titleTypographyProps
                }
            }),
            /*#__PURE__*/ jsx(CardContent, {
                ...contentProps,
                children: loading ? /*#__PURE__*/ jsx(Stack, {
                    spacing: 2,
                    children: Array(loadingOptions.count).fill(null).map((_, i)=>i).map((key)=>/*#__PURE__*/ jsx(Skeleton, {
                            variant: "rounded",
                            height: loadingOptions.height
                        }, key))
                }) : children
            })
        ]
    });
/**
 * 表示一個卡片元件，用於展示相關的資訊。
 *
 * 參考 [Material-UI Card](https://mui.com/material-ui/react-card/)
 */ const Card = /*#__PURE__*/ forwardRef(CardInner);

export { Card as C };
