'use client';
import { jsxs, jsx } from 'react/jsx-runtime';
import { Stack, Box } from '@mui/material';
import { forwardRef } from 'react';

/**
 * 狀態點元件，用於表示狀態的小圓點，不同顏色表示不同狀態，分別具備不同含義。
 */ const Dot = /*#__PURE__*/ forwardRef(({ color = 'primary', size = 8, label, placement = 'end' }, ref)=>/*#__PURE__*/ jsxs(Stack, {
        spacing: 1,
        direction: "row",
        alignItems: "center",
        children: [
            placement === 'start' && /*#__PURE__*/ jsx(Box, {
                children: label
            }),
            /*#__PURE__*/ jsx(Box, {
                "aria-label": "dot",
                ref: ref,
                sx: {
                    display: 'inline-block',
                    width: size,
                    height: size,
                    borderRadius: '50%',
                    bgcolor: color === 'default' ? 'divider' : `${color}.main`
                }
            }),
            placement === 'end' && /*#__PURE__*/ jsx(Box, {
                children: label
            })
        ]
    }));
if (process.env.NODE_ENV !== 'production') {
    Dot.displayName = 'GwDot';
}

export { Dot as D };
