'use client';
import { jsx, jsxs, Fragment } from 'react/jsx-runtime';
import ErrorIcon from '@mui/icons-material/Cancel';
import CheckCircleIcon from '@mui/icons-material/CheckCircle';
import InfoIcon from '@mui/icons-material/Info';
import WarningIcon from '@mui/icons-material/Warning';
import { Stack, Typography, Box } from '@mui/material';
import { useState } from 'react';
import { B as Button } from './Button-client-Diz1vWgB.js';
import '@mui/material/CircularProgress';
import '@mui/material/IconButton';
import { M as Modal } from './Modal-client-DBPlSKbp.js';

const ModalQuick = ({ okButtonText = 'OK', cancelButtonText = 'Cancel', open, onClose, onOk, title, children, type })=>{
    const [isSubmitting, setIsSubmitting] = useState(false);
    const handleOk = async ()=>{
        setIsSubmitting(true);
        try {
            await onOk?.();
        } finally{
            setIsSubmitting(false);
        }
    };
    return /*#__PURE__*/ jsx(Modal, {
        open: open,
        onClose: onClose,
        showCloseIcon: false,
        disableBackdropClick: true,
        disableEscapeKeyDown: true,
        contentProps: {
            dividers: false
        },
        customActions: /*#__PURE__*/ jsxs(Fragment, {
            children: [
                type === 'confirm' && /*#__PURE__*/ jsx(Button, {
                    variant: "outlined",
                    size: "medium",
                    onClick: ()=>onClose?.({}, 'closeButtonClick'),
                    sx: {
                        minWidth: 80
                    },
                    disabled: isSubmitting,
                    children: cancelButtonText
                }),
                /*#__PURE__*/ jsx(Button, {
                    variant: "contained",
                    size: "medium",
                    onClick: handleOk,
                    sx: {
                        minWidth: 80
                    },
                    loading: isSubmitting,
                    children: okButtonText
                })
            ]
        }),
        children: /*#__PURE__*/ jsxs(Stack, {
            direction: "row",
            spacing: 1,
            children: [
                type === 'info' && /*#__PURE__*/ jsx(InfoIcon, {
                    sx: {
                        color: 'info.main'
                    }
                }),
                type === 'success' && /*#__PURE__*/ jsx(CheckCircleIcon, {
                    sx: {
                        color: 'success.main'
                    }
                }),
                type === 'error' && /*#__PURE__*/ jsx(ErrorIcon, {
                    sx: {
                        color: 'error.main'
                    }
                }),
                type === 'warning' && /*#__PURE__*/ jsx(WarningIcon, {
                    sx: {
                        color: 'warning.main'
                    }
                }),
                type === 'confirm' && /*#__PURE__*/ jsx(InfoIcon, {
                    sx: {
                        color: 'warning.main'
                    }
                }),
                /*#__PURE__*/ jsxs(Stack, {
                    spacing: 1,
                    children: [
                        title && /*#__PURE__*/ jsx(Typography, {
                            fontWeight: "bold",
                            children: title
                        }),
                        /*#__PURE__*/ jsx(Box, {
                            children: children
                        })
                    ]
                })
            ]
        })
    });
};

export { ModalQuick as M };
