'use client';
import { jsxs, Fragment, jsx } from 'react/jsx-runtime';
import CloseIcon from '@mui/icons-material/Close';
import VisibilityOutlinedIcon from '@mui/icons-material/VisibilityOutlined';
import { Modal, Box, Typography } from '@mui/material';
import { useState } from 'react';
import '@mui/material/Button';
import '@mui/material/CircularProgress';
import { I as IconButton } from './IconButton-client-RgaMe93C.js';

const PreviewModal = ({ imageUrl, title, pdf })=>{
    const [open, setOpen] = useState(false);
    if (!imageUrl) return null;
    return /*#__PURE__*/ jsxs(Fragment, {
        children: [
            /*#__PURE__*/ jsx(IconButton, {
                size: "small",
                sx: {
                    color: '#fff'
                },
                onClick: ()=>setOpen(true),
                children: /*#__PURE__*/ jsx(VisibilityOutlinedIcon, {})
            }),
            /*#__PURE__*/ jsx(Modal, {
                open: open,
                children: /*#__PURE__*/ jsxs(Box, {
                    sx: {
                        p: 1,
                        display: 'flex',
                        flexDirection: 'column',
                        height: '100vh'
                    },
                    children: [
                        /*#__PURE__*/ jsxs(Box, {
                            children: [
                                /*#__PURE__*/ jsx(Typography, {
                                    variant: "h2",
                                    sx: {
                                        flexGrow: 1,
                                        lineHeight: '40px',
                                        textAlign: 'center',
                                        fontSize: '1.5rem',
                                        fontWeight: 'bold',
                                        color: '#fff'
                                    },
                                    children: title
                                }),
                                /*#__PURE__*/ jsx(IconButton, {
                                    sx: {
                                        position: 'absolute',
                                        top: 0,
                                        right: 0,
                                        color: '#fff'
                                    },
                                    onClick: ()=>setOpen(false),
                                    children: /*#__PURE__*/ jsx(CloseIcon, {})
                                })
                            ]
                        }),
                        /*#__PURE__*/ jsx(Box, {
                            sx: {
                                flexGrow: 1,
                                display: 'flex',
                                justifyContent: 'center',
                                alignItems: 'center',
                                overflowY: 'auto',
                                msOverflowStyle: 'none',
                                '&::-webkit-scrollbar': {
                                    display: 'none'
                                }
                            },
                            children: pdf ? /*#__PURE__*/ jsx(Box, {
                                component: "iframe",
                                src: `${imageUrl}#toolbar=0`,
                                width: "100%",
                                height: "100%",
                                title: title
                            }) : /*#__PURE__*/ jsx(Box, {
                                component: "img",
                                src: imageUrl,
                                alt: "image",
                                sx: {
                                    maxWidth: '100%',
                                    objectFit: 'contain'
                                }
                            })
                        })
                    ]
                })
            })
        ]
    });
};

export { PreviewModal as P };
